task rtg {
	File vcf
	String sample = basename(vcf,".vcf")
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${vcf} -c > ${sample}.vcf.gz
		rtg index -f vcf ${sample}.vcf.gz
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf_gz = "${sample}.vcf.gz"
		File vcf_index = "${sample}.vcf.gz.tbi"
	}
}